<?php
require_once(getabspath("classes/cipherer.php"));
$tdataproveedor = array();
	$tdataproveedor[".NumberOfChars"] = 80; 
	$tdataproveedor[".ShortName"] = "proveedor";
	$tdataproveedor[".OwnerID"] = "";
	$tdataproveedor[".OriginalTable"] = "proveedor";

//	field labels
$fieldLabelsproveedor = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsproveedor["Spanish"] = array();
	$fieldToolTipsproveedor["Spanish"] = array();
	$fieldLabelsproveedor["Spanish"]["idproveedor"] = "Idproveedor";
	$fieldToolTipsproveedor["Spanish"]["idproveedor"] = "";
	$fieldLabelsproveedor["Spanish"]["denominacion"] = "Denominación";
	$fieldToolTipsproveedor["Spanish"]["denominacion"] = "";
	$fieldLabelsproveedor["Spanish"]["ruc_ci"] = "RUC ó C.I.Nº";
	$fieldToolTipsproveedor["Spanish"]["ruc_ci"] = "";
	$fieldLabelsproveedor["Spanish"]["direccion"] = "Dirección";
	$fieldToolTipsproveedor["Spanish"]["direccion"] = "";
	$fieldLabelsproveedor["Spanish"]["idciudad"] = "Ciudad";
	$fieldToolTipsproveedor["Spanish"]["idciudad"] = "";
	$fieldLabelsproveedor["Spanish"]["telefono"] = "Teléfono";
	$fieldToolTipsproveedor["Spanish"]["telefono"] = "";
	$fieldLabelsproveedor["Spanish"]["observacion"] = "Observación";
	$fieldToolTipsproveedor["Spanish"]["observacion"] = "";
	if (count($fieldToolTipsproveedor["Spanish"]))
		$tdataproveedor[".isUseToolTips"] = true;
}
	
	
	$tdataproveedor[".NCSearch"] = true;



$tdataproveedor[".shortTableName"] = "proveedor";
$tdataproveedor[".nSecOptions"] = 0;
$tdataproveedor[".recsPerRowList"] = 1;
$tdataproveedor[".mainTableOwnerID"] = "";
$tdataproveedor[".moveNext"] = 1;
$tdataproveedor[".nType"] = 0;

$tdataproveedor[".strOriginalTableName"] = "proveedor";




$tdataproveedor[".showAddInPopup"] = true;

$tdataproveedor[".showEditInPopup"] = true;

$tdataproveedor[".showViewInPopup"] = false;

$tdataproveedor[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataproveedor[".listAjax"] = true;
else 
	$tdataproveedor[".listAjax"] = false;

	$tdataproveedor[".audit"] = false;

	$tdataproveedor[".locking"] = false;

$tdataproveedor[".edit"] = true;

$tdataproveedor[".exportTo"] = true;


$tdataproveedor[".delete"] = true;

$tdataproveedor[".showSimpleSearchOptions"] = false;

$tdataproveedor[".showSearchPanel"] = true;

if (isMobile())
	$tdataproveedor[".isUseAjaxSuggest"] = false;
else 
	$tdataproveedor[".isUseAjaxSuggest"] = true;

$tdataproveedor[".rowHighlite"] = true;

// button handlers file names

$tdataproveedor[".addPageEvents"] = false;

// use timepicker for search panel
$tdataproveedor[".isUseTimeForSearch"] = false;




$tdataproveedor[".allSearchFields"] = array();

$tdataproveedor[".allSearchFields"][] = "denominacion";
$tdataproveedor[".allSearchFields"][] = "ruc_ci";
$tdataproveedor[".allSearchFields"][] = "direccion";
$tdataproveedor[".allSearchFields"][] = "idciudad";
$tdataproveedor[".allSearchFields"][] = "telefono";
$tdataproveedor[".allSearchFields"][] = "observacion";

$tdataproveedor[".googleLikeFields"][] = "idproveedor";
$tdataproveedor[".googleLikeFields"][] = "denominacion";
$tdataproveedor[".googleLikeFields"][] = "ruc_ci";
$tdataproveedor[".googleLikeFields"][] = "direccion";
$tdataproveedor[".googleLikeFields"][] = "idciudad";
$tdataproveedor[".googleLikeFields"][] = "telefono";
$tdataproveedor[".googleLikeFields"][] = "observacion";


$tdataproveedor[".advSearchFields"][] = "denominacion";
$tdataproveedor[".advSearchFields"][] = "ruc_ci";
$tdataproveedor[".advSearchFields"][] = "direccion";
$tdataproveedor[".advSearchFields"][] = "idciudad";
$tdataproveedor[".advSearchFields"][] = "telefono";
$tdataproveedor[".advSearchFields"][] = "observacion";

$tdataproveedor[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdataproveedor[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataproveedor[".strOrderBy"] = $tstrOrderBy;

$tdataproveedor[".orderindexes"] = array();

$tdataproveedor[".sqlHead"] = "SELECT idproveedor,   denominacion,   ruc_ci,   direccion,   idciudad,   telefono,   observacion";
$tdataproveedor[".sqlFrom"] = "FROM proveedor";
$tdataproveedor[".sqlWhereExpr"] = "";
$tdataproveedor[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataproveedor[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataproveedor[".arrGroupsPerPage"] = $arrGPP;

$tableKeysproveedor = array();
$tableKeysproveedor[] = "idproveedor";
$tdataproveedor[".Keys"] = $tableKeysproveedor;

$tdataproveedor[".listFields"] = array();
$tdataproveedor[".listFields"][] = "denominacion";
$tdataproveedor[".listFields"][] = "ruc_ci";
$tdataproveedor[".listFields"][] = "direccion";
$tdataproveedor[".listFields"][] = "idciudad";
$tdataproveedor[".listFields"][] = "telefono";
$tdataproveedor[".listFields"][] = "observacion";

$tdataproveedor[".viewFields"] = array();

$tdataproveedor[".addFields"] = array();
$tdataproveedor[".addFields"][] = "denominacion";
$tdataproveedor[".addFields"][] = "ruc_ci";
$tdataproveedor[".addFields"][] = "direccion";
$tdataproveedor[".addFields"][] = "idciudad";
$tdataproveedor[".addFields"][] = "telefono";
$tdataproveedor[".addFields"][] = "observacion";

$tdataproveedor[".inlineAddFields"] = array();

$tdataproveedor[".editFields"] = array();
$tdataproveedor[".editFields"][] = "denominacion";
$tdataproveedor[".editFields"][] = "ruc_ci";
$tdataproveedor[".editFields"][] = "direccion";
$tdataproveedor[".editFields"][] = "idciudad";
$tdataproveedor[".editFields"][] = "telefono";
$tdataproveedor[".editFields"][] = "observacion";

$tdataproveedor[".inlineEditFields"] = array();

$tdataproveedor[".exportFields"] = array();
$tdataproveedor[".exportFields"][] = "denominacion";
$tdataproveedor[".exportFields"][] = "ruc_ci";
$tdataproveedor[".exportFields"][] = "direccion";
$tdataproveedor[".exportFields"][] = "idciudad";
$tdataproveedor[".exportFields"][] = "telefono";
$tdataproveedor[".exportFields"][] = "observacion";

$tdataproveedor[".printFields"] = array();

//	idproveedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idproveedor";
	$fdata["GoodName"] = "idproveedor";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Idproveedor"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idproveedor"; 
		$fdata["FullName"] = "idproveedor";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["idproveedor"] = $fdata;
//	denominacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "denominacion";
	$fdata["GoodName"] = "denominacion";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Denominación"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "denominacion"; 
		$fdata["FullName"] = "denominacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=60";
	
		$edata["inputStyle"] = " width:250px;";
	$edata["controlWidth"] = 250;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["denominacion"] = $fdata;
//	ruc_ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ruc_ci";
	$fdata["GoodName"] = "ruc_ci";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "RUC ó C.I.Nº"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ruc_ci"; 
		$fdata["FullName"] = "ruc_ci";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["ruc_ci"] = $fdata;
//	direccion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "direccion";
	$fdata["GoodName"] = "direccion";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Dirección"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "direccion"; 
		$fdata["FullName"] = "direccion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=80";
	
		$edata["inputStyle"] = " width:350px;";
	$edata["controlWidth"] = 350;
	
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["direccion"] = $fdata;
//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Ciudad"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idciudad";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";
	
		
	$edata["LookupTable"] = "ciudad";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		$edata["AllowToAdd"] = true; 
	
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		$edata["inputStyle"] = " width:150px;";
	$edata["controlWidth"] = 150;
	
//	Begin validation
	$edata["validateAs"] = array();
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["idciudad"] = $fdata;
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Teléfono"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "telefono"; 
		$fdata["FullName"] = "telefono";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["telefono"] = $fdata;
//	observacion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "observacion";
	$fdata["GoodName"] = "observacion";
	$fdata["ownerTable"] = "proveedor";
	$fdata["Label"] = "Observación"; 
	$fdata["FieldType"] = 201;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "observacion"; 
		$fdata["FullName"] = "observacion";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text area");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;
	
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataproveedor["observacion"] = $fdata;

	
$tables_data["proveedor"]=&$tdataproveedor;
$field_labels["proveedor"] = &$fieldLabelsproveedor;
$fieldToolTips["proveedor"] = &$fieldToolTipsproveedor;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["proveedor"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["proveedor"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_proveedor()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idproveedor,   denominacion,   ruc_ci,   direccion,   idciudad,   telefono,   observacion";
$proto0["m_strFrom"] = "FROM proveedor";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idproveedor",
	"m_strTable" => "proveedor"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "denominacion",
	"m_strTable" => "proveedor"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "ruc_ci",
	"m_strTable" => "proveedor"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "direccion",
	"m_strTable" => "proveedor"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "proveedor"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "proveedor"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "observacion",
	"m_strTable" => "proveedor"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto19=array();
$proto19["m_link"] = "SQLL_MAIN";
			$proto20=array();
$proto20["m_strName"] = "proveedor";
$proto20["m_columns"] = array();
$proto20["m_columns"][] = "idproveedor";
$proto20["m_columns"][] = "denominacion";
$proto20["m_columns"][] = "ruc_ci";
$proto20["m_columns"][] = "direccion";
$proto20["m_columns"][] = "idciudad";
$proto20["m_columns"][] = "telefono";
$proto20["m_columns"][] = "observacion";
$obj = new SQLTable($proto20);

$proto19["m_table"] = $obj;
$proto19["m_alias"] = "";
$proto21=array();
$proto21["m_sql"] = "";
$proto21["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto21["m_column"]=$obj;
$proto21["m_contained"] = array();
$proto21["m_strCase"] = "";
$proto21["m_havingmode"] = "0";
$proto21["m_inBrackets"] = "0";
$proto21["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto21);

$proto19["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto19);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_proveedor = createSqlQuery_proveedor();
							$tdataproveedor[".sqlquery"] = $queryData_proveedor;
	
if(isset($tdataproveedor["field2"])){
	$tdataproveedor["field2"]["LookupTable"] = "carscars_view";
	$tdataproveedor["field2"]["LookupOrderBy"] = "name";
	$tdataproveedor["field2"]["LookupType"] = 4;
	$tdataproveedor["field2"]["LinkField"] = "email";
	$tdataproveedor["field2"]["DisplayField"] = "name";
	$tdataproveedor[".hasCustomViewField"] = true;
}

$tableEvents["proveedor"] = new eventsBase;
$tdataproveedor[".hasEvents"] = false;

$cipherer = new RunnerCipherer("proveedor");

?>